Package org.springframework.security.config.annotation.web.configurers

# Class UrlAuthorizationConfigurer.StandardInterceptUrlRegistry

java.lang.Object
org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry<C>
org.springframework.security.config.annotation.web.configurers.AbstractConfigAttributeRequestMatcherRegistry<T>
AbstractInterceptUrlConfigurer<UrlAuthorizationConfigurer<H>,H>.AbstractInterceptUrlRegistry<UrlAuthorizationConfigurer<H>.StandardInterceptUrlRegistry,UrlAuthorizationConfigurer<H>.AuthorizedUrl>
org.springframework.security.config.annotation.web.configurers.UrlAuthorizationConfigurer.StandardInterceptUrlRegistry

Enclosing class:
  UrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>>

public final class UrlAuthorizationConfigurer.StandardInterceptUrlRegistry extends AbstractInterceptUrlConfigurer<UrlAuthorizationConfigurer<H>,H>.AbstractInterceptUrlRegistry<UrlAuthorizationConfigurer<H>.StandardInterceptUrlRegistry,UrlAuthorizationConfigurer<H>.AuthorizedUrl>

## Method Summary

Modifier and Type
Method
Description
`H`
`and()`
`protected UrlAuthorizationConfigurer<H>.AuthorizedUrl`
`chainRequestMatchersInternal(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)`
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.
`UrlAuthorizationConfigurer<H>.AuthorizedUrl`
`requestMatchers(String... patterns)`
If the `HandlerMappingIntrospector` is available in the classpath, maps to an `MvcRequestMatcher` that does not care which `HttpMethod` is used.
`UrlAuthorizationConfigurer<H>.AuthorizedUrl`
`requestMatchers(org.springframework.http.HttpMethod method)`
If the `HandlerMappingIntrospector` is available in the classpath, maps to an `MvcRequestMatcher` that matches on a specific `HttpMethod`.
`UrlAuthorizationConfigurer<H>.AuthorizedUrl`
`requestMatchers(org.springframework.http.HttpMethod method, String... patterns)`
If the `HandlerMappingIntrospector` is available in the classpath, maps to an `MvcRequestMatcher` that also specifies a specific `HttpMethod` to match on.
`UrlAuthorizationConfigurer<H>.AuthorizedUrl`
`requestMatchers(org.springframework.security.web.util.matcher.RequestMatcher... requestMatchers)`
Associates a list of `RequestMatcher` instances with the `AbstractConfigAttributeRequestMatcherRegistry`
`UrlAuthorizationConfigurer<H>.StandardInterceptUrlRegistry`
`withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)`
Adds an `ObjectPostProcessor` for this class.

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractInterceptUrlConfigurer.AbstractInterceptUrlRegistry

`accessDecisionManager, filterSecurityInterceptorOncePerRequest`

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractConfigAttributeRequestMatcherRegistry

`chainRequestMatchers`

### Methods inherited from class org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry

`anyRequest, createMvcMatchers, dispatcherTypeMatchers, dispatcherTypeMatchers, getApplicationContext, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### requestMatchers

public UrlAuthorizationConfigurer<H>.AuthorizedUrl requestMatchers(String... patterns)
Description copied from class: `AbstractRequestMatcherRegistry`

If the `HandlerMappingIntrospector` is available in the classpath, maps to an `MvcRequestMatcher` that does not care which `HttpMethod` is used. This matcher will use the same rules that Spring MVC uses for matching. For example, often times a mapping of the path "/path" will match on "/path", "/path/", "/path.html", etc. If the `HandlerMappingIntrospector` is not available, maps to an `AntPathRequestMatcher`.

If a specific `RequestMatcher` must be specified, use `AbstractRequestMatcherRegistry.requestMatchers(RequestMatcher...)` instead

Overrides:
  `requestMatchers` in class `AbstractRequestMatcherRegistry<UrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>>.AuthorizedUrl>`
Parameters:
  `patterns` - the patterns to match on. The rules for matching are defined by Spring MVC if `MvcRequestMatcher` is used
Returns:
  the object that is chained after creating the `RequestMatcher`.

### requestMatchers

public UrlAuthorizationConfigurer<H>.AuthorizedUrl requestMatchers(org.springframework.http.HttpMethod method, String... patterns)
Description copied from class: `AbstractRequestMatcherRegistry`

If the `HandlerMappingIntrospector` is available in the classpath, maps to an `MvcRequestMatcher` that also specifies a specific `HttpMethod` to match on. This matcher will use the same rules that Spring MVC uses for matching. For example, often times a mapping of the path "/path" will match on "/path", "/path/", "/path.html", etc. If the `HandlerMappingIntrospector` is not available, maps to an `AntPathRequestMatcher`.

If a specific `RequestMatcher` must be specified, use `AbstractRequestMatcherRegistry.requestMatchers(RequestMatcher...)` instead

Overrides:
  `requestMatchers` in class `AbstractRequestMatcherRegistry<UrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>>.AuthorizedUrl>`
Parameters:
  `method` - the `HttpMethod` to use or `null` for any `HttpMethod`.
  `patterns` - the patterns to match on. The rules for matching are defined by Spring MVC if `MvcRequestMatcher` is used
Returns:
  the object that is chained after creating the `RequestMatcher`.

### requestMatchers

public UrlAuthorizationConfigurer<H>.AuthorizedUrl requestMatchers(org.springframework.http.HttpMethod method)
Description copied from class: `AbstractRequestMatcherRegistry`

If the `HandlerMappingIntrospector` is available in the classpath, maps to an `MvcRequestMatcher` that matches on a specific `HttpMethod`. This matcher will use the same rules that Spring MVC uses for matching. For example, often times a mapping of the path "/path" will match on "/path", "/path/", "/path.html", etc. If the `HandlerMappingIntrospector` is not available, maps to an `AntPathRequestMatcher`.

If a specific `RequestMatcher` must be specified, use `AbstractRequestMatcherRegistry.requestMatchers(RequestMatcher...)` instead

Overrides:
  `requestMatchers` in class `AbstractRequestMatcherRegistry<UrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>>.AuthorizedUrl>`
Parameters:
  `method` - the `HttpMethod` to use or `null` for any `HttpMethod`.
Returns:
  the object that is chained after creating the `RequestMatcher`.

### requestMatchers

public UrlAuthorizationConfigurer<H>.AuthorizedUrl requestMatchers(org.springframework.security.web.util.matcher.RequestMatcher... requestMatchers)
Description copied from class: `AbstractRequestMatcherRegistry`
Associates a list of `RequestMatcher` instances with the `AbstractConfigAttributeRequestMatcherRegistry`

Overrides:
  `requestMatchers` in class `AbstractRequestMatcherRegistry<UrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>>.AuthorizedUrl>`
Parameters:
  `requestMatchers` - the `RequestMatcher` instances
Returns:
  the object that is chained after creating the `RequestMatcher`

### chainRequestMatchersInternal

protected UrlAuthorizationConfigurer<H>.AuthorizedUrl chainRequestMatchersInternal(List<org.springframework.security.web.util.matcher.RequestMatcher> requestMatchers)
Description copied from class: `AbstractConfigAttributeRequestMatcherRegistry`
Subclasses should implement this method for returning the object that is chained to the creation of the `RequestMatcher` instances.

Specified by:
  `chainRequestMatchersInternal` in class `AbstractConfigAttributeRequestMatcherRegistry<UrlAuthorizationConfigurer<H extends HttpSecurityBuilder<H>>.AuthorizedUrl>`
Parameters:
  `requestMatchers` - the `RequestMatcher` instances that were created
Returns:
  the chained Object for the subclass which allows association of something else to the `RequestMatcher`

### withObjectPostProcessor

public UrlAuthorizationConfigurer<H>.StandardInterceptUrlRegistry withObjectPostProcessor(ObjectPostProcessor<?> objectPostProcessor)
Adds an `ObjectPostProcessor` for this class.

Parameters:
  `objectPostProcessor` -
Returns:
  the `ExpressionUrlAuthorizationConfigurer` for further customizations

### and

public H and()